package com.ruoyi.dxp.mapper;

import java.util.List;
import com.ruoyi.dxp.domain.Application;

/**
 * 应用Mapper接口
 * 
 * @author jy
 * @date 2022-12-06
 */
public interface ApplicationMapper 
{
    /**
     * 查询应用
     * 
     * @param id 应用主键
     * @return 应用
     */
    public Application selectApplicationById(Long id);

    /**
     * 查询应用列表
     * 
     * @param application 应用
     * @return 应用集合
     */
    public List<Application> selectApplicationList(Application application);

    /**
     * 新增应用
     * 
     * @param application 应用
     * @return 结果
     */
    public int insertApplication(Application application);

    /**
     * 修改应用
     * 
     * @param application 应用
     * @return 结果
     */
    public int updateApplication(Application application);

    /**
     * 删除应用
     * 
     * @param id 应用主键
     * @return 结果
     */
    public int deleteApplicationById(Long id);

    /**
     * 批量删除应用
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteApplicationByIds(Long[] ids);
}
